Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 16 Mar 2023 03:41:49 +0000 (UTC)

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I would like to complain about your online delivery. This is not the first time happening with me. Each time I do order online with express delivery and not happing. Delivery comes after two days. 

I have my correct address indicated in my profile and each time the delivery staff from your side sent me message please share your address and location I do that. Then couple of hours I do receive that address cannot be find, I call your staff and he says will be deliver soon within two hours. Until end of the day delivery doesn’t arrive. 

Offcourse delivery comes by tomorrow morning. This is not acceptable at all. 

If this is the case, then you should not indicate EXPRESS delivery. 

The person who sent me message is 052-6002067 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5856005